### Class

# Gimp Path

#### Description [src]

    final class Gimp.Path : Gimp.Item
    {
      /* No available fields */
    }

Functions for querying and manipulating path.

#### Ancestors

- GimpItem
- GObject

#### Constructors

###### gimp_path_new

Create a new empty path object.

since: 2.4

###### gimp_path_new_from_text_layer

Create a new path object from a text layer.

since: 2.6

#### Functions

###### gimp_path_free

This function frees the memory allocated for the list and the strings it contains.

###### gimp_path_get_by_id

Returns a `GimpPath` representing `path_id`. This function calls `gimp_item_get_by_id()` and returns the item if it is a path or `NULL` otherwise.

since: 3.0

###### gimp_path_get_user_writable_dir

Note that you have to `g_free()` the returned string.

###### gimp_path_parse

No description available.

###### gimp_path_to_str

No description available.

#### Instance methods

###### gimp_path_bezier_stroke_conicto

Extends a bezier stroke with a conic bezier spline.

since: 2.4

###### gimp_path_bezier_stroke_cubicto

Extends a bezier stroke with a cubic bezier spline.

since: 2.4

###### gimp_path_bezier_stroke_lineto

Extends a bezier stroke with a lineto.

since: 2.4

###### gimp_path_bezier_stroke_new_ellipse

Adds a bezier stroke describing an ellipse the path object.

since: 2.4

###### gimp_path_bezier_stroke_new_moveto

Adds a bezier stroke with a single moveto to the path object.

since: 2.4

###### gimp_path_copy

Copy a path object.

since: 2.6

###### gimp_path_get_strokes

List the strokes associated with the passed path.

since: 2.4

###### gimp_path_remove_stroke

Remove the stroke from a path object.

since: 2.4

###### gimp_path_stroke_close

Closes the specified stroke.

since: 2.4

###### gimp_path_stroke_flip

Flips the given stroke.

since: 2.4

###### gimp_path_stroke_flip_free

Flips the given stroke about an arbitrary axis.

since: 2.4

###### gimp_path_stroke_get_length

Measure the length of the given stroke.

since: 2.4

###### gimp_path_stroke_get_point_at_dist

Get point at a specified distance along the stroke.

since: 2.4

###### gimp_path_stroke_get_points

Returns the control points of a stroke.

since: 2.4

###### gimp_path_stroke_interpolate

Returns polygonal approximation of the stroke.

since: 2.4

###### gimp_path_stroke_new_from_points

Adds a stroke of a given type to the path object.

since: 2.4

###### gimp_path_stroke_reverse

Reverses the specified stroke.

since: 3.0

###### gimp_path_stroke_rotate

Rotates the given stroke.

since: 2.4

###### gimp_path_stroke_scale

Scales the given stroke.

since: 2.4

###### gimp_path_stroke_translate

Translate the given stroke.

since: 2.4

##### Methods inherited from GimpItem (48)

Please see GimpItem for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GimpItem (1)

###### Gimp.Item:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpPathClass {
      GimpItemClass parent_class;

    }

No description available.

###### Class members

`parent_class: GimpItemClass`

  No description available.